import request from '@/utils/require'

import { business, kjjg, main, dict } from '@/api/index'

// 分页列表
export function selectPageByEntity(data) {
    return request({
        url: `${business}/in/selectPageByEntity?pageNum=${data.pageNum}&pageSize=${data.pageSize}&pageType=${data.pageType}`,
        method: 'post',
        data: data
    })
}

//查询详情
export function selectById(fid) {
    return request({
        url: `${business}/in/selectById/${fid}`,
        method: 'get',
    })
}


//提交
export function updateByEntitySelective(data) {
    return request({
        url: `${business}/in/updateByEntitySelective`,
        method: 'put',
        data: data
    })
}

//提交
export function selectByYsbgbh(ysbgbh) {
    return request({
        url: `${main}/manager/outInDepot/selectByYsbgbh/${ysbgbh}`,
        method: 'get'
    })
}
