import request from '@/utils/request'
import { business, kjjg, dict, baseServer } from '@/api/index'

// 列表
export function selectZjbgList(data) {
    return request({
        url: `${kjjg}/zjbg/selectZjbgList`,
        method: 'post',
        data
    })
}
//品种
//品种新接口
export function getPzOptions(data) {
    return request({
        url: `${dict}/dataDictionary/getDataGroup?groupId=PM001&pdictCode=22`,
        method: 'get',
    })
}

//库点
export function getkdInfoList(data) {
    return request({
        url: `${baseServer}/getkdInfoList`,
        method: 'post',
        data: {}
    })
}

//库点查仓房
export function warehouseListByKddm(kddm) {
    return request({
        url: `${baseServer}/warehouseListByKddm/${kddm}`,
        method: 'post'
    })
}
//库点查仓房
export function saveZjbg(data) {
    return request({
        url: `${kjjg}/zjbg/saveZjbg`,
        method: 'post',
        data
    })
}

export function selectZjbgDetail(data) {
    return request({
        url: `${kjjg}/zjbg/selectZjbgDetail/${data}`,
        method: 'get',

    })
}

//
