import Request from '@/utils/request'
import { business} from '@/api/index'

/* --------------------------------------新收获粮食质量调查、品质测报 Start---------------------*/
// 结果审核列表
export function findByPage(data, organizationVO) {
    return Request({
        url: `${business}/QualityPredictionAduit/findByPage/${data.page}/${data.size}`,
        method: 'post',
        data: organizationVO
    })
}

// 计划管理下发删除
export function deleteData(ids, batch) {
    return Request({
        url: `${business}/QualityPredictionAduit/deletes/${batch}`,
        method: 'post',
        data: ids
    })
}
// 结果审核保存
export function saveData(data) {
    return Request({
        url: `${business}/QualityPredictionAduit/save`,
        method: 'post',
        data: data
    })
}


// 结果审核查看
export function showData(id, batch) {
    return Request({
        url: `${business}/QualityPredictionAduit/findById/${id}/${batch}`,
        method: 'get'
    })
}


// 结果审核修改
export function updateData(data) {
    return Request({
        url: `${business}/QualityPredictionAduit/update`,
        method: 'post',
        data: data
    })
}

// 品质测报--上报
export function updateState(data) {
    return Request({
        url: `${business}/QualityPredictionAduit/updateState`,
        method: 'post',
        data: data
    })
}
/* ----------------------------------新收获粮食质量调查、品质测报 end-----------------------*/
