import Request from '@/utils/request'
import {report} from '@/api/index'

//统计审核列表
export function queryStatisicalRptInfo(data) {
    return Request({
        url: `${report}/statistical/queryStatisticalRptInfo/${data.page}/${data.size}`,
        method: 'post',
        data: data
    })
}

//查询报表期
export function queryBbqInfoByRptCode(rptCode) {
    return Request({
        url: `${report}/statistical/queryBbqInfoByRptCode/${rptCode}`,
        method: 'get',
    })
}

//查询地区统计审核列表
export function queryStatisticalInfoForArea(data) {
    return Request({
        url: `${report}/statistical/queryStatisticalInfoForArea/${data.page}/${data.size}`,
        method: 'post',
        data: data
    })
}

//查询企业上报情况
export function queryStatisticalInfoForCompany(data) {
    return Request({
        url: `${report}/statistical/queryStatisticalInfoForCompany/${data.page}/${data.size}`,
        method: 'post',
        data: data
    })
}
