import Vue from 'vue'
import Router from 'vue-router'
Vue.use(Router)

const pathUrl = '/quality'

import Layout from '@/components/Layout/layout.vue'
import zhilianghome from '@/views/zhiliangguanli/home'
import zhijjg from '@/views/zhiliangguanli/zhijjg/list'
import zhijjgDetail from '@/views/zhiliangguanli/zhijjg/detail'
import planIssued from '@/views/zhiliangguanli/planMng/planIssued/list'
import planReceive from '@/views/zhiliangguanli/planMng/planReceive/list'
import report from '@/views/zhiliangguanli/inspectionResults/report/list'
import reportDetail from '@/views/zhiliangguanli/inspectionResults/report/detail'
import audit from '@/views/zhiliangguanli/inspectionResults/audit/list'
import auditDetail from '@/views/zhiliangguanli/inspectionResults/audit/detail'
import safetyReport from '@/views/zhiliangguanli/safetyMonitor/report/list'
import safetyAudit from '@/views/zhiliangguanli/safetyMonitor/audit/list'
import safetyMonitorDetail from '@/views/zhiliangguanli/safetyMonitor/safetyMonitorDetail'
import fileMng from '@/views/zhiliangguanli/fileMng/list'
import resultsView from '@/views/zhiliangguanli/fileMng/resultsView/list'
import resultsViewDetail from '@/views/zhiliangguanli/fileMng/resultsView/detail'
import queryStatistics from '@/views/zhiliangguanli/queryStatistics'
import queryStatisticsNew from '@/views/zhiliangguanli/queryStatisticsNew'
//质检指标维护（共有）
import checkProcessManage from "@/views/zhiliangguanli/checkProcessManage"
import checkAddBz from "@/views/zhiliangguanli/checkProcessManage/checkBz/checkAddBz"
import checkSeeBz from "@/views/zhiliangguanli/checkProcessManage/checkBz/checkSeeBz"
import checkAddXm from "@/views/zhiliangguanli/checkProcessManage/checkXm/checkAddXm"
import checkSeeXm from "@/views/zhiliangguanli/checkProcessManage/checkXm/checkSeeXm"
//质检指标维护（维护）
import checkProcessMaintain from "@/views/zhiliangguanli/checkProcessMaintain"
//天津
import samplingPlanIssue from '@/views/zhiliangguanli/tianjin/harvest/samplingPlan/issue/list'
import samplingPlanIssueDetail from '@/views/zhiliangguanli/tianjin/harvest/samplingPlan/issue/detail'
import samplingPlanReceive from '@/views/zhiliangguanli/tianjin/harvest/samplingPlan/receive/list'

import stationingPlan from '@/views/zhiliangguanli/tianjin/harvest/stationingPlan/list'
import stationingPlanDetail from '@/views/zhiliangguanli/tianjin/harvest/stationingPlan/detail'
import resultsReported from '@/views/zhiliangguanli/tianjin/harvest/resultsReported/list'
import resultsReportedDetail from '@/views/zhiliangguanli/tianjin/harvest/resultsReported/detail'
//放心粮油抽检(天津)
import grain from "@/views/zhiliangguanli/grain"
import grainEdit from "@/views/zhiliangguanli/grain/edit"

import issuedIndex from '@/views/zhiliangguanli/tianjin/safetyMonitoring/samplingPlan/Issued/index'   //库存粮食质量安全监测-抽样方案下发
import issuedAdd from '@/views/zhiliangguanli/tianjin/safetyMonitoring/samplingPlan/Issued/add'   //库存粮食质量安全监测-抽样方案下发
import issuedDetail from '@/views/zhiliangguanli/tianjin/safetyMonitoring/samplingPlan/Issued/detail'   //库存粮食质量安全监测-抽样方案下发
import acceptIndex from '@/views/zhiliangguanli/tianjin/safetyMonitoring/samplingPlan/accept/index'   //库存粮食质量安全监测-抽样方案接收
import acceptDetail from '@/views/zhiliangguanli/tianjin/safetyMonitoring/samplingPlan/accept/detail'   //库存粮食质量安全监测-抽样方案接收
import resultsIndex from '@/views/zhiliangguanli/tianjin/safetyMonitoring/resultsReported/index'   //库存粮食质量安全监测-结果上报
import resultsDetail from '@/views/zhiliangguanli/tianjin/safetyMonitoring/resultsReported/detail'   //库存粮食质量安全监测-结果上报

//放心粮油
import grainOilPlan from '@/views/zhiliangguanli/tianjin/grainOil/plan/list'
import grainOilPlanDetail from '@/views/zhiliangguanli/tianjin/grainOil/plan/detail'
import grainOilAccept from '@/views/zhiliangguanli/tianjin/grainOil/accept'
import grainOilAcceptDetail from '@/views/zhiliangguanli/tianjin/grainOil/accept/detail'

import grainOilResults from '@/views/zhiliangguanli/tianjin/grainOil/results/list'
import grainOilResultsDetail from '@/views/zhiliangguanli/tianjin/grainOil/results/detail'

import zhijjgTj from '@/views/zhiliangguanli/tianjin/zhijjgTj/list'
import zhijjgTjDetail from '@/views/zhiliangguanli/tianjin/zhijjgTj/detail'


import entrust from '@/views/zhiliangguanli/tianjin/strongInspection/entrust'
import warehouseQuery from '@/views/zhiliangguanli/tianjin/strongInspection/warehouseQuery'
import resultQuery from '@/views/zhiliangguanli/tianjin/strongInspection/resultQuery'
import resultQueryShow from '@/views/zhiliangguanli/tianjin/strongInspection/resultQueryShow'
import trendChart from '@/views/zhiliangguanli/tianjin/strongInspection/trendChart'
import exceptionSummary from '@/views/zhiliangguanli/tianjin/strongInspection/exceptionSummary'
import exceptionNotification from '@/views/zhiliangguanli/tianjin/strongInspection/exceptionNotification'
import qualityCorrectionNotice from '@/views/zhiliangguanli/tianjin/strongInspection/qualityCorrectionNotice'

import exceptionNotificationAdd from '@/views/zhiliangguanli/tianjin/strongInspection/exceptionNotificationAdd'
import exceptionNotificationAddPoptwo from '@/views/zhiliangguanli/tianjin/strongInspection/exceptionNotificationAddPoptwo'
import exceptionNotificationAddPop from '@/views/zhiliangguanli/tianjin/strongInspection/exceptionNotificationAddPop'
import exceptionRectification from '@/views/zhiliangguanli/tianjin/strongInspection/exceptionRectification'
import exceptionRectificationAddPop from '@/views/zhiliangguanli/tianjin/strongInspection/exceptionRectificationAddPop'

import transactionEntrust from '@/views/zhiliangguanli/tianjin/transactionInspection/transactionEntrust'
import transactionEntrustShow from '@/views/zhiliangguanli/tianjin/transactionInspection/transactionEntrustShow'

import incomingInspection from '@/views/zhiliangguanli/tianjin/incomingInspection/incomingInspection'
import incomingInspectionShow from '@/views/zhiliangguanli/tianjin/incomingInspection/incomingInspectionShow'

import QualityInspectionEntrustment from '@/views/zhiliangguanli/tianjin/OtherQualityInspection/QualityInspectionEntrustment'
import warehouseNumberQuery from '@/views/zhiliangguanli/tianjin/OtherQualityInspection/warehouseNumberQuery'
import resultQueryOther from '@/views/zhiliangguanli/tianjin/OtherQualityInspection/resultQuery'
import resultQueryShowOther from '@/views/zhiliangguanli/tianjin/OtherQualityInspection/resultQueryShow'

//质检结果
import qualityInspectionReport from '@/views/zhiliangguanli/qualityInspectionReport'
import qualityInspectionReportDetail from '@/views/zhiliangguanli/qualityInspectionReport/detail.vue'


//质检委托new
import entrustedInspection from '@/views/zhiliangguanli/entrustedInspection'
import entrustedInspectionDetail from '@/views/zhiliangguanli/entrustedInspection/detail.vue'

//入库质检
import inspectionCommission from '@/views/zhiliangguanli/inspectionCommission'
import inspectionCommissionDetail from '@/views/zhiliangguanli/inspectionCommission/detail.vue'
import inspectionCommissionZjbg from '@/views/zhiliangguanli/inspectionCommission/zjbg.vue'


//报告查询
import inspectionReport from '@/views/zhiliangguanli/inspectionReport'
import inspectionReportDetail from '@/views/zhiliangguanli/inspectionReport/detail.vue'

//入库质检意见
import inspectionOpinion from '@/views/zhiliangguanli/inspectionOpinion'
import inspectionOpinionDetail from '@/views/zhiliangguanli/inspectionOpinion/detail.vue'

//出库质检意见
import outOpinion from '@/views/zhiliangguanli/outOpinion'
import outOpinionDetail from '@/views/zhiliangguanli/outOpinion/detail.vue'


//粮油流通统计
import unitBasic from '@/views/zhiliangguanli/unitBasic'



const login = () =>
    import('@/views/login.vue')
export default new Router({
    history: true,
    routes: [{
        path: '/login',
        component: login,
        hidden: true
    },
    {
        path: '/quality',
        component: Layout,
        hidden: true,
        meta: {
            title: '内蒙自治区企业管理平台',
            icon: 'example'
        },
        children: [
            {
                path: `${pathUrl}`,
                component: zhilianghome,
                name: '首页',
                meta: {
                    title: '内蒙自治区企业管理平台',
                    icon: 'example'
                }
            },
            //质量开始

            //粮食质量管理子系统 
            {
                path: `zhiliangguanli`,
                component: {
                    render(c) {
                        return c('router-view')
                    }
                },
                name: '粮食质量管理子系统',
                meta: {
                    title: '粮食质量管理子系统',
                    icon: 'example'
                },
                children: [{
                    path: 'home',
                    component: zhilianghome,
                    name: '首页',
                    meta: {
                        title: '首页',
                        icon: 'form'
                    }
                },
                {
                    path: 'zhijjg',
                    component: zhijjg,
                    name: '质检机构管理',
                    meta: {
                        title: '质检机构管理',
                        icon: 'form'
                    }
                }, {
                    path: 'zhijjgDetail',
                    name: '质检机构管理',
                    component: zhijjgDetail,
                    meta: {
                        title: '质检机构管理',
                        icon: 'form'
                    }
                }, {
                    path: 'planMng',
                    name: '计划管理',
                    meta: {
                        title: '计划管理',
                        icon: 'example'
                    },
                    component: {
                        render(c) {
                            return c('router-view')
                        }
                    },
                    children: [{
                        path: 'planIssued',
                        name: '计划下发',
                        component: planIssued,
                        meta: {
                            title: '计划下发',
                            icon: 'form'
                        }
                    }, {
                        path: 'planReceive',
                        name: '计划接收',
                        component: planReceive,
                        meta: {
                            title: '计划接收',
                            icon: 'form'
                        }
                    }],
                }, {
                    path: 'inspectionResults',
                    name: '品质测报',
                    meta: {
                        title: '品质测报',
                        icon: 'example'
                    },
                    component: {
                        render(c) {
                            return c('router-view')
                        }
                    },
                    children: [{
                        path: 'report',
                        component: report,
                        meta: {
                            title: '上报',
                            icon: 'form'
                        }
                    }, {
                        path: 'reportDetail',
                        component: reportDetail,
                        meta: {
                            title: '上报',
                            icon: 'form'
                        }
                    }, {
                        path: 'audit',
                        component: audit,
                        meta: {
                            title: '审核',
                            icon: 'form'
                        }
                    }, {
                        path: 'auditDetail',
                        component: auditDetail,
                        meta: {
                            title: '审核',
                            icon: 'form'
                        }
                    }],
                }, {
                    path: 'safetyMonitor',
                    name: '库存粮食质量安全监测',
                    meta: {
                        title: '库存粮食质量安全监测',
                        icon: 'example'
                    },
                    component: {
                        render(c) {
                            return c('router-view')
                        }
                    },
                    children: [{
                        path: 'safetyReport',
                        name: '上报',
                        component: safetyReport,
                        meta: {
                            title: '上报',
                            icon: 'form'
                        }
                    }, {
                        path: 'safetyAudit',
                        name: '审核',
                        component: safetyAudit,
                        meta: {
                            title: '审核',
                            icon: 'form'
                        }
                    }],
                },
                {
                    path: 'safetyMonitorDetail',
                    name: '详情',
                    component: safetyMonitorDetail,
                    meta: {
                        title: '详情',
                        icon: 'form'
                    }
                },
                {
                    path: 'safetyMonitorDetailAll',
                    name: '结果汇总',
                    component: safetyMonitorDetail,
                    meta: {
                        title: '结果汇总',
                        icon: 'form'
                    }
                },
                {
                    path: 'fileMng',
                    name: '质检档案管理',
                    component: fileMng,
                    meta: {
                        title: '质检档案管理',
                        icon: 'form'
                    }
                },
                {
                    path: 'resultsView',
                    component: resultsView,
                    meta: {
                        title: '质检档案管理结果查看',
                        icon: 'form'
                    }
                },
                {
                    path: 'resultsViewDetail',
                    component: resultsViewDetail,
                    meta: {
                        title: '质检档案管理结果查看',
                        icon: 'form'
                    }
                },
                {
                    path: 'queryStatistics',
                    name: '检测业务查询统计',
                    component: queryStatistics,
                    meta: {
                        title: '检测业务查询统计',
                        icon: 'form'
                    }
                },
                {
                    path: 'queryStatisticsNew',
                    name: '检测业务查询统计',
                    component: queryStatisticsNew,
                    meta: {
                        title: '检测业务查询统计',
                        icon: 'form'
                    }
                },
                //---------------------天津质量--------------------
                {
                    path: 'basicInfo',
                    name: '基础管理',
                    meta: {
                        title: '基础管理',
                        icon: 'example'
                    },
                    component: {
                        render(c) {
                            return c('router-view')
                        }
                    },
                    children: [{
                        path: 'zhijjgTj',
                        name: '粮食质量安全监测体系',
                        component: zhijjgTj,
                        meta: {
                            title: '粮食质量安全监测体系',
                            icon: 'form'
                        }
                    }, {
                        path: 'zhijjgTjDetail',
                        name: '粮食质量安全监测体系详情',
                        component: zhijjgTjDetail,
                        meta: {
                            title: '粮食质量安全监测体系详情',
                            icon: 'form'
                        }
                    }],
                },

                {
                    path: 'samplingPlan',
                    name: '收获粮食质量安全监测',
                    meta: {
                        title: '收获粮食质量安全监测',
                        icon: 'example'
                    },
                    component: {
                        render(c) {
                            return c('router-view')
                        }
                    },
                    children: [{
                        path: 'samplingPlanIssue',
                        name: '抽样方案下发',
                        component: samplingPlanIssue,
                        meta: {
                            title: '抽样方案下发',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'samplingPlanIssueDetail',
                        name: '抽样方案详情',
                        component: samplingPlanIssueDetail,
                        meta: {
                            title: '抽样方案下发',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'samplingPlanReceive',
                        name: '抽样方案接收',
                        component: samplingPlanReceive,
                        meta: {
                            title: '抽样方案接收',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'stationingPlan',
                        name: '布点计划',
                        component: stationingPlan,
                        meta: {
                            title: '布点计划',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'stationingPlanDetail',
                        name: '布点计划详情',
                        component: stationingPlanDetail,
                        meta: {
                            title: '布点计划',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'resultsReported',
                        name: '结果上报',
                        component: resultsReported,
                        meta: {
                            title: '结果上报',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'resultsReportedDetail',
                        component: resultsReportedDetail,
                        meta: {
                            title: '结果上报',
                            icon: 'form'
                        }
                    }],
                },
                {
                    path: 'grainOil',
                    name: '“放心粮油”产品质量抽样检测',
                    meta: {
                        title: '“放心粮油”产品质量抽样检测',
                        icon: 'example'
                    },
                    component: {
                        render(c) {
                            return c('router-view')
                        }
                    },
                    children: [{
                        path: 'grainOilPlan',
                        name: '抽样方案',
                        component: grainOilPlan,
                        meta: {
                            title: '抽样方案下发',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'grainOilPlanDetail',
                        name: '抽样方案',
                        component: grainOilPlanDetail,
                        meta: {
                            title: '抽样方案下发',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'grainOilAccept',
                        name: '抽样方案接收',
                        component: grainOilAccept,
                        meta: {
                            title: '抽样方案接收',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'grainOilAcceptDetail',
                        name: '抽样方案接收',
                        component: grainOilAcceptDetail,
                        meta: {
                            title: '抽样方案接收',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'grainOilResults',
                        name: '抽样检验结果信息',
                        component: grainOilResults,
                        meta: {
                            title: '抽样检验结果信息',
                            icon: 'form'
                        }
                    }, {
                        path: 'grainOilResultsDetail',
                        name: '抽样检验结果信息',
                        component: grainOilResultsDetail,
                        meta: {
                            title: '抽样检验结果信息',
                            icon: 'form'
                        }
                    }],
                },
                // 库存粮食质量安全监测
                {
                    path: 'samplingPlan',
                    name: '库存粮食质量安全监测',
                    meta: {
                        title: '库存粮食质量安全监测',
                        icon: 'example'
                    },
                    component: {
                        render(c) {
                            return c('router-view')
                        }
                    },
                    children: [
                        {
                            path: 'issuedIndex',
                            component: issuedIndex,
                            name: '抽样方案下发',
                            meta: {
                                title: '抽样方案下发',
                                icon: 'form'
                            }
                        },
                        {
                            path: 'issuedAdd',
                            component: issuedAdd,
                            name: '抽样方案下发',
                            meta: {
                                title: '抽样方案下发',
                                icon: 'form'
                            }
                        },
                        {
                            path: 'issuedDetail',
                            component: issuedDetail,
                            name: '抽样方案下发',
                            meta: {
                                title: '抽样方案下发',
                                icon: 'form'
                            }
                        },
                        {
                            path: 'acceptIndex',
                            component: acceptIndex,
                            name: '抽样方案接收',
                            meta: {
                                title: '抽样方案接收',
                                icon: 'form'
                            }
                        },
                        {
                            path: 'acceptDetail',
                            component: acceptDetail,
                            name: '抽样方案接收',
                            meta: {
                                title: '抽样方案接收',
                                icon: 'form'
                            }
                        },
                        {
                            path: 'resultsIndex',
                            component: resultsIndex,
                            name: '结果上报',
                            meta: {
                                title: '结果上报',
                                icon: 'form'
                            }
                        },
                        {
                            path: 'resultsDetail',
                            component: resultsDetail,
                            name: '结果上报',
                            meta: {
                                title: '结果上报',
                                icon: 'form'
                            }
                        }]
                },
                //------------------end天津质量-----------------------
                //天津强检开始
                {
                    path: '',
                    component: {
                        render(c) {
                            return c('router-view')
                        }
                    },
                    name: '强检',
                    // component: () =>
                    //     import ('@/views/zhiliangguanli/tianjin/strongInspection/entrust'),
                    meta: {
                        title: '强检',
                        icon: 'form'
                    },
                    children: [
                        {
                            path: 'entrust',
                            component: entrust,
                            name: '强检委托',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/entrust'),
                            meta: {
                                title: '强检委托',
                                icon: 'form'
                            }
                        }, {
                            path: 'warehouseQuery',
                            component: warehouseQuery,
                            name: '强检仓号查询',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/warehouseQuery'),
                            meta: {
                                title: '强检仓号查询',
                                icon: 'form'
                            }
                        }, {
                            path: 'resultQuery',
                            component: resultQuery,
                            name: '质检结果查询',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/resultQuery'),
                            meta: {
                                title: '质检结果查询',
                                icon: 'form'
                            }
                        }, {
                            path: 'resultQueryShow',
                            component: resultQueryShow,
                            name: '质检结果查询-详情',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/resultQueryShow'),
                            meta: {
                                title: '质检结果查询-详情',
                                icon: 'form'
                            }
                        }, {
                            path: 'trendChart',
                            component: trendChart,
                            name: '质检结果趋势图',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/trendChart'),
                            meta: {
                                title: '质检结果趋势图',
                                icon: 'form'
                            }
                        }, {
                            path: 'exceptionSummary',
                            component: exceptionSummary,
                            name: '异常数据汇总查询',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/exceptionSummary'),
                            meta: {
                                title: '异常数据汇总查询',
                                icon: 'form'
                            }
                        }, {
                            path: 'exceptionNotification',
                            component: exceptionNotification,
                            name: '异常情况整改通知',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/exceptionNotification'),
                            meta: {
                                title: '异常情况整改通知',
                                icon: 'form'
                            }
                        }
                        , {
                            path: 'exceptionNotificationAdd',
                            component: exceptionNotificationAdd,
                            name: '异常情况整改通知',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/exceptionNotificationAdd'),
                            meta: {
                                title: '异常情况整改通知',
                                icon: 'form'
                            }
                        }, {
                            path: 'exceptionNotificationAddPoptwo',
                            component: exceptionNotificationAddPoptwo,
                            name: '异常情况整改通知',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/exceptionNotificationAddPOp'),
                            meta: {
                                title: '异常情况整改通知',
                                icon: 'form'
                            }
                        }, {
                            path: 'exceptionNotificationAddPop',
                            component: exceptionNotificationAddPop,
                            name: '异常情况整改通知',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/exceptionNotificationAddPOp'),
                            meta: {
                                title: '异常情况整改通知',
                                icon: 'form'
                            }
                        }, {
                            path: 'qualityCorrectionNotice',
                            component: qualityCorrectionNotice,
                            name: '异常情况整改通知',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/exceptionNotificationAddPOp'),
                            meta: {
                                title: '异常情况整改通知',
                                icon: 'form'
                            }
                        }, {
                            path: 'exceptionRectification',
                            component: exceptionRectification,
                            name: '异常情况整改',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/exceptionRectification'),
                            meta: {
                                title: '异常情况整改',
                                icon: 'form'
                            }
                        }, {
                            path: 'exceptionRectificationAddPop',
                            component: exceptionRectificationAddPop,
                            name: '异常情况整改通知',
                            // component: () =>
                            //     import ('@/views/zhiliangguanli/tianjin/strongInspection/exceptionRectification'),
                            meta: {
                                title: '异常情况整改通知',
                                icon: 'form'
                            }
                        },
                    ]
                },


                {
                    path: 'transactionEntrust',
                    component: transactionEntrust,
                    name: '交易质检委托',
                    // component: () =>
                    //     import ('@/views/zhiliangguanli/tianjin/transactionInspection/transactionEntrust'),
                    meta: {
                        title: '交易质检委托',
                        icon: 'form'
                    }
                }, {
                    path: 'transactionEntrustShow',
                    component: transactionEntrustShow,
                    name: '交易质检委托-详情',
                    // component: () =>
                    //     import ('@/views/zhiliangguanli/tianjin/transactionInspection/transactionEntrustShow'),
                    meta: {
                        title: '交易质检委托-详情',
                        icon: 'form'
                    }
                },
                {
                    path: 'incomingInspection',
                    component: incomingInspection,
                    name: '质检委托',
                    meta: {
                        title: '质检委托',
                        icon: 'form'
                    }
                }, {
                    path: 'incomingInspectionShow',
                    component: incomingInspectionShow,
                    name: '质检委托-详情',
                    meta: {
                        title: '质检委托-详情',
                        icon: 'form'
                    }
                },
                {
                    path: 'QualityInspectionEntrustment',
                    component: QualityInspectionEntrustment,
                    name: '质检委托',
                    meta: {
                        title: '质检委托',
                        icon: 'form'
                    }
                }, {
                    path: 'warehouseNumberQuery',
                    component: warehouseNumberQuery,
                    name: '质检仓号查询',
                    // component: () =>
                    //     import ('@/views/zhiliangguanli/tianjin/OtherQualityInspection/warehouseNumberQuery'),
                    meta: {
                        title: '质检仓号查询',
                        icon: 'form'
                    }
                }, {
                    path: 'resultQueryOther',
                    component: resultQueryOther,
                    name: '质检结果查询',
                    meta: {
                        title: '质检结果查询',
                        icon: 'form'
                    }
                }, {
                    path: 'resultQueryShowOther',
                    component: resultQueryShowOther,
                    name: '质检结果查询-详情',
                    meta: {
                        title: '质检结果查询-详情',
                        icon: 'form'
                    }
                },
                {
                    path: 'qualityInspectionReport',
                    component: qualityInspectionReport,
                    name: '质检报告',
                    meta: {
                        title: '质检报告',
                        icon: 'form'
                    }
                },
                {
                    path: 'qualityInspectionReportDetail',
                    component: qualityInspectionReportDetail,
                    name: 'qualityInspectionReportDetail',
                    meta: {
                        title: '质检报告详情',
                        icon: 'form'
                    }
                },

                    // {
                    //     path: `strongInspection`,
                    //     component: {
                    //         render(c) {
                    //             return c('router-view')
                    //         }
                    //     },
                    //     name: '强检',
                    //     meta: {
                    //         title: '强检',
                    //         icon: 'example'
                    //     },
                    //     children: [
                    //     ],
                    // },
                    // {
                    //     path: `transactionInspection`,
                    //     component: index,
                    //     name: '交易质检',
                    //     meta: {
                    //         title: '交易质检',
                    //         icon: 'example'
                    //     },
                    //     children: [],
                    // },
                    // {
                    //     path: 'OtherQualityInspection',
                    //     component: index,
                    //     name: '其他质检委托',
                    //     meta: {
                    //         title: '其他质检委托',
                    //         icon: 'example'
                    //     },
                    //     children: [],
                    // },
                    //天津强检结束
                ]
            },

            //基础管理
            {
                path: 'basicInformation',
                name: '基础管理',
                meta: {
                    title: '基础管理',
                    icon: 'example'
                },
                component: {
                    render(c) {
                        return c('router-view')
                    }
                },
                children: [
                    {
                        path: '',
                        name: '基础管理',
                        meta: {
                            title: '基础管理',
                            icon: 'example'
                        },
                        component: {
                            render(c) {
                                return c('router-view')
                            }
                        },
                        children: [
                            {
                                path: 'checkProcessManage',
                                component: checkProcessManage,
                                name: '质检指标维护',
                                meta: {
                                    title: '质检指标维护',
                                    icon: 'form'
                                }
                            }, {
                                path: 'checkAddBz',
                                component: checkAddBz,
                                name: '新增',
                                meta: {
                                    title: '新增',
                                    icon: 'form'
                                }
                            }, {
                                path: 'checkSeeBz',
                                component: checkSeeBz,
                                name: '查看',
                                meta: {
                                    title: '查看',
                                    icon: 'form'
                                }
                            }, {
                                path: 'checkAddXm',
                                component: checkAddXm,
                                name: '新增',
                                meta: {
                                    title: '新增',
                                    icon: 'form'
                                }
                            }, {
                                path: 'checkSeeXm',
                                component: checkSeeXm,
                                name: '查看',
                                meta: {
                                    title: '查看',
                                    icon: 'form'
                                }
                            }, {
                                path: 'checkProcessMaintain',
                                component: checkProcessMaintain,
                                name: '质检指标维护',
                                meta: {
                                    title: '质检指标维护',
                                    icon: 'form'
                                }
                            }, {
                                path: 'grain',
                                component: grain,
                                name: '放心粮油企业(天津)',
                                meta: {
                                    title: '放心(好)粮油企业',
                                    icon: 'form'
                                }
                            },
                            // -----------好粮油企业------
                            {
                                path: 'grainGood',
                                component: grain,
                                name: '好粮油企业',
                                meta: {
                                    title: '好粮油企业',
                                    icon: 'form'
                                }
                            }
                        ]
                    }


                ]
            },
            {
                path: 'fileMng',
                name: '质检档案管理',
                component: () =>
                    import('@/views/zhiliangguanli/fileMng/list'),
                meta: {
                    title: '质检档案管理',
                    icon: 'form'
                }
            },
            {
                path: 'resultsView',
                name: '质检档案管理结果查看',
                component: () =>
                    import('@/views/zhiliangguanli/fileMng/resultsView/list'),
                meta: {
                    title: '质检档案管理结果查看',
                    icon: 'form'
                }
            },
            {
                path: 'resultsViewDetail',
                name: '质检档案管理结果查看',
                component: () =>
                    import('@/views/zhiliangguanli/fileMng/resultsView/detail'),
                meta: {
                    title: '质检档案管理结果查看',
                    icon: 'form'
                }
            },
            {
                path: 'queryStatistics',
                name: '检测业务查询统计',
                component: () =>
                    import('@/views/zhiliangguanli/queryStatistics'),
                meta: {
                    title: '检测业务查询统计',
                    icon: 'form'
                }
            },
            //---------------------天津质量--------------------
            // {
            //     path: 'samplingPlan',
            //     name: '抽样方案',
            //     component: () =>
            //         import ('@/views/zhiliangguanli/tianjin/harvest/samplingPlan/list'),
            //     meta: {
            //         title: '抽样方案',
            //         icon: 'form'
            //     }
            // },
            // {
            //     path: 'samplingPlanDetail',
            //     name: '抽样方案',
            //     component: () =>
            //         import ('@/views/zhiliangguanli/tianjin/harvest/samplingPlan/detail'),
            //     meta: {
            //         title: '抽样方案',
            //         icon: 'form'
            //     }
            // },
            {
                path: 'stationingPlan',
                name: '布点计划',
                component: () =>
                    import('@/views/zhiliangguanli/tianjin/harvest/stationingPlan/list'),
                meta: {
                    title: '布点计划',
                    icon: 'form'
                }
            },
            {
                path: 'stationingPlanDetail',
                name: '布点计划',
                component: () =>
                    import('@/views/zhiliangguanli/tianjin/harvest/stationingPlan/detail'),
                meta: {
                    title: '布点计划',
                    icon: 'form'
                }
            },

            //检验申请接收new
            {
                path: '/quality',
                name: '质检委托',
                meta: {
                    title: '质检委托',
                    icon: 'example'
                },
                component: {
                    render(c) {
                        return c('router-view')
                    }
                },
                children: [
                    {
                        path: 'entrustedInspection/index',
                        name: '检验申请接收',

                        component: entrustedInspection,
                        meta: {
                            title: '检验申请接收',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'entrustedInspection/detail',
                        name: '质检委托接收详情',
                        component: entrustedInspectionDetail,
                        meta: {
                            title: '质检委托接收详情',
                            icon: 'form'
                        }
                    },

                    //质检委托new
                    {
                        path: 'inspectionCommission/index',
                        name: '质检委托',
                        component: inspectionCommission,
                        meta: {
                            title: '质检委托',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'inspectionCommission/detail',
                        name: '质检委托详情',
                        component: inspectionCommissionDetail,
                        meta: {
                            title: '质检委托详情',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'inspectionCommission/zjbg',
                        name: '入库验收质检报告',
                        component: inspectionCommissionZjbg,
                        meta: {
                            title: '入库验收质检报告',
                            icon: 'form'
                        }
                    },

                    //质检委托报告查询
                    {
                        path: 'inspectionReport/index',
                        name: '质检报告查询',
                        component: inspectionReport,
                        meta: {
                            title: '质检报告查询',
                            icon: 'form'
                        }
                    },
                    //质检委托报告查询
                    {
                        path: 'inspectionReport/detail',
                        name: '质检报告查询详情',
                        component: inspectionReportDetail,
                        meta: {
                            title: '质检报告查询详情',
                            icon: 'form'
                        }
                    },


                    //入库质检意见
                    {
                        path: 'inspectionOpinion/index',
                        name: '入库质检意见',
                        component: inspectionOpinion,
                        meta: {
                            title: '入库质检意见',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'inspectionOpinion/detail',
                        name: '入库质检意见详情',
                        component: inspectionOpinionDetail,
                        meta: {
                            title: '入库质检意见详情',
                            icon: 'form'
                        }
                    },

                    //出库质检意见
                    {
                        path: 'outOpinion/index',
                        name: '出库质检意见',
                        component: outOpinion,
                        meta: {
                            title: '出库质检意见',
                            icon: 'form'
                        }
                    },
                    {
                        path: 'outOpinion/detail',
                        name: '出库质检意见详情',
                        component: outOpinionDetail,
                        meta: {
                            title: '出库质检意见详情',
                            icon: 'form'
                        }
                    },
                ]
            },
                        //检验申请接收new
            {
                path: '/quality',
                name: '粮油流通统计',
                meta: {
                    title: '粮油流通统计',
                    icon: 'example'
                },
                component: {
                    render(c) {
                        return c('router-view')
                    }
                },
                children: [
                    {
                        path: '/quality/unitBasic/index',
                        name: '单位基本信息',

                        component: unitBasic,
                        meta: {
                            title: '单位基本信息',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitJgjc/index',
                        name: '价格监测单位基本信息',

                        component: unitBasic,
                        meta: {
                            title: '价格监测单位基本信息',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitLykj/index',
                        name: '粮油科技基本情况',

                        component: unitBasic,
                        meta: {
                            title: '粮油科技基本情况',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitSj/index',
                        name: '省级价格监测单位基本信息',

                        component: unitBasic,
                        meta: {
                            title: '省级价格监测单位基本信息',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitCcss/index',
                        name: '仓储设施基本情况',

                        component: unitBasic,
                        meta: {
                            title: '仓储设施基本情况',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitCxjm/index',
                        name: '城乡居民户粮油收支平衡基础调查表',

                        component: unitBasic,
                        meta: {
                            title: '城乡居民户粮油收支平衡基础调查表',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitDfcb/index',
                        name: '地方储备粮油合计',

                        component: unitBasic,
                        meta: {
                            title: '地方储备粮油合计',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitDfzcx/index',
                        name: '地方政策性粮油收支平衡月报表',

                        component: unitBasic,
                        meta: {
                            title: '地方政策性粮油收支平衡月报表',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitGmcb/index',
                        name: '规模储备库存',

                        component: unitBasic,
                        meta: {
                            title: '规模储备库存',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitGjj/index',
                        name: '国家级价格监测填报表',

                        component: unitBasic,
                        meta: {
                            title: '国家级价格监测填报表',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitLscy/index',
                        name: '粮食产业经济统计',

                        component: unitBasic,
                        meta: {
                            title: '粮食产业经济统计',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitLygxSw/index',
                        name: '粮油购销销往省外',

                        component: unitBasic,
                        meta: {
                            title: '粮油购销销往省外',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitLygxGj/index',
                        name: '粮油购销省外购进',

                        component: unitBasic,
                        meta: {
                            title: '粮油购销省外购进',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitLyjg/index',
                        name: '粮油加工转化企业季报',

                        component: unitBasic,
                        meta: {
                            title: '粮油加工转化企业季报',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitLyjgCzb/index',
                        name: '粮油加工转化企业季报参照表',

                        component: unitBasic,
                        meta: {
                            title: '粮油加工转化企业季报参照表',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitLyjgNb/index',
                        name: '粮油加工转化企业年报',

                        component: unitBasic,
                        meta: {
                            title: '粮油加工转化企业年报',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitLyjgNbCzb/index',
                        name: '粮油加工转化企业年报参照表',

                        component: unitBasic,
                        meta: {
                            title: '粮油加工转化企业年报参照表',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitLySzyb/index',
                        name: '商品粮油收支平衡月报表',

                        component: unitBasic,
                        meta: {
                            title: '商品粮油收支平衡月报表',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitSjcbly/index',
                        name: '省级储备粮油',

                        component: unitBasic,
                        meta: {
                            title: '省级储备粮油',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitShijcbly/index',
                        name: '市级储备粮油',

                        component: unitBasic,
                        meta: {
                            title: '市级储备粮油',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitSgjdtb/index',
                        name: '收购进度填报',

                        component: unitBasic,
                        meta: {
                            title: '收购进度填报',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitXjcb/index',
                        name: '县级储备粮油',

                        component: unitBasic,
                        meta: {
                            title: '县级储备粮油',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitXcjm/index',
                        name: '乡村居民户存粮专项调查表',

                        component: unitBasic,
                        meta: {
                            title: '乡村居民户存粮专项调查表',
                            icon: 'form'
                        }
                    },
                    {
                        path: '/quality/unitXcjmPh/index',
                        name: '乡村居民户粮油收支平衡基础调查表',

                        component: unitBasic,
                        meta: {
                            title: '乡村居民户粮油收支平衡基础调查表',
                            icon: 'form'
                        }
                    },
                    


                ]
            }
            //------------------end天津质量-----------------------
            //质量结束
            //基础信息

        ]
    },

    ]
})

