export const status = {
  "toBeSubmit": {
    "name": "待提交",
    "value": "90000000"
  },
  "submited": {
    "name": "已提交",
    "value": "91000004"
  },
  "submitToBeSeal": {
    "name": "已提交待盖章",
    "value": "90100000"
  },
  "refused": {
    "name": "已驳回",
    "value": "90200000"
  },
  "toBeReview": {
    "name": "待审核",
    "value": "90300000"
  },
  "reviewed": {
    "name": "审核通过",
    "value": "90400000"
  },
  "reviewedToBeSeal": {
    "name": "审核通过待盖章",
    "value": "90400100"
  },
  "assigned": {
    "name": "已指定",
    "value": "90400500"
  },
  "notified": {
    "name": "已发通知",
    "value": "90400600"
  },
  "applyToBeSeal": {
    "name": "已申请待盖章",
    "value": "90400700"
  },
  "toBeRectify": {
    "name": "验收整改",
    "value": "90400800"
  },
  "toBeAccept": {
    "name": "待验收",
    "value": "90400900"
  },
  "acceptToBeSeal": {
    "name": "已验收待盖章",
    "value": "90400901"
  },
  "finish": {
    "name": "验收通过",
    "value": "90401000"
  },
  "completed": {
    "name": "已完成",
    "value": "91000040"
  },
  "hasBeenIssued": {
    "name": "已下发",
    "value": "91000030"
  },
  "pending": {
    "name": "待下发",
    "value": "91000028"
  },
  "overdued": {
    "name": "已逾期",
    "value": "91000035"
  },
  "deferred": {
    "name": "已延期",
    "value": "91000036"
  },
  "earlyWarning": {
    "name": "预警期",
    "value": "91000037"
  },
  "noStart": {
    "name": "未开始",
    "value": "91000038"
  },
  "processing": {
    "name": "进行中",
    "value": "91000039"
  },
  "passed": {
    "name": "已通过",
    "value": "91000013"
  },
  "didNotPass": {
    "name": "未通过",
    "value": "91000012"
  },
  // //移库申请的已发通知
  // "transferNotice": {
  //   "name": "审核通过",
  //   "value": "90400600"
  // },
  "tobeReviewed": {
    "name": "待资料审核",
    "value": "90000001"
  },
  "tobeIdea": {
    "name": "待意见审核",
    "value": "90000002"
  },
  "tobeSealReject": {
    "name": "签章驳回",
    "value": "90300001"
  },
  "sealReject": {
    "name": "签章驳回",
    "value": "90000001"
  },
  "ykSealReject": {
    "name": "签章驳回",
    "value": "90400610"
  },
  "todoQlb": {
    "name": "待发改委审核",
    "value": "90300005"
  },
  "todoQlbBh": {
    "name": "发改委审核驳回",
    "value": "90300006"
  },
}

export const status1 = {
  "toBeSubmit": {
    "name": "待提交",
    "value": "91000001"
  },
  //平衡
  "zaicipingheng": {
    "name": "再次平衡",
    "value": "91000032"
  },
  "yipifu": {
    "name": "批复完成",
    "value": "91000006"
  },
  "weiqingshi": {
    "name": "未请示",
    "value": "91000031"
  },
  "pifuzhong": {
    "name": "批复中",
    "value": "91000005"
  },
  "kgdaishenhe": {
    "name": "待审核",
    "value": "91000002"
  },
  "kgyitongguo": {
    "name": "已通过",
    "value": "91000013"
  },

  // "submitToBeSeal": {
  //   "name": "已提交待盖章",
  //   "value": "90100000"
  // },
  // "refused": {
  //   "name": "驳回",
  //   "value": "90200000"
  // },
  "toBeReview": {
    "name": "待审核",
    "value": "91000002"
  },
  // "reviewed": {
  //   "name": "审核通过",
  //   "value": "90400000"
  // },
  // "assigned": {
  //   "name": "已指定",
  //   "value": "90400500"
  // },
  // "notified": {
  //   "name": "已发通知",
  //   "value": "90400600"
  // },
  // "applyToBeSeal": {
  //   "name": "已申请待盖章",
  //   "value": "90400700"
  // },
  // "toBeRectify": {
  //   "name": "验收整改",
  //   "value": "90400800"
  // },
  "toBeAccept": {
    "name": "待验收",
    "value": "91000021"
  },
  "acceptToBeSeal": {
    "name": "已验收待盖章",
    "value": "91000022"
  },
  "acceptToReview": {
    "name": "已验收待审核",
    "value": "91000059"
  },
  "acceptRefused": {
    "name": "验收不通过",
    "value": "91000024"
  },
  "reviewToBeSeal": {
    "name": "已审核待盖章",
    "value": "91000011"
  },
  "finish": {
    "name": "审核通过",
    "value": "91000060"
  },
  "hasRefused": {
    "name": "审核不通过",
    "value": "91000061"
  },
  // "toBeComfirm": {
  //   "name": "待确认",
  //   "value": "91000033"
  // },
  // "comfirmedToBeSeal": {
  //   "name": "已确认待盖章",
  //   "value": "91000017"
  // },
  // "financeComfirmed": {
  //   "name": "财务已确认",
  //   "value": "91000034"
  // },
  // "comfirmed": {
  //   "name": "已确认",
  //   "value": "91000018"
  // },
  // "submited": {
  //   "name": "已提交",
  //   "value": "91000004"
  // },
  "passed": {
    "name": "已通过",
    "value": "91000013"
  },
  "shanggbaoToBeSeal": {
    "name": "已上报待盖章",
    "value": "91000025"
  },
  "acceptPass": {
    "name": "验收通过",
    "value": "91000023"
  },
  // "didNotPass": {
  //   "name": "未通过",
  //   "value": "91000012"
  // },

}
// export const status1 = {
//   "toBeSubmit": {
//     "name": "待提交",
//     "value": "91000001"
//   },
//   // "submitToBeSeal": {
//   //   "name": "已提交待盖章",
//   //   "value": "90100000"
//   // },
//   // "refused": {
//   //   "name": "驳回",
//   //   "value": "90200000"
//   // },
//   "toBeReview": {
//     "name": "审核中",
//     "value": "91000002"
//   },
//   // "reviewed": {
//   //   "name": "审核通过",
//   //   "value": "90400000"
//   // },
//   // "assigned": {
//   //   "name": "已指定",
//   //   "value": "90400500"
//   // },
//   // "notified": {
//   //   "name": "已发通知",
//   //   "value": "90400600"
//   // },
//   // "applyToBeSeal": {
//   //   "name": "已申请待盖章",
//   //   "value": "90400700"
//   // },
//   // "toBeRectify": {
//   //   "name": "验收整改",
//   //   "value": "90400800"
//   // },
//   "toBeAccept": {
//     "name": "待验收",
//     "value": "91000021"
//   },
//   "acceptToBeSeal": {
//     "name": "已验收待盖章",
//     "value": "91000022"
//   },
//   "acceptToReview": {
//     "name": "已验收待审核",
//     "value": "91000059"
//   },
//   "acceptRefused": {
//     "name": "验收不通过",
//     "value": "91000024"
//   },

//   "reviewToBeSeal": {
//     "name": "已审核待盖章",
//     "value": "91000011"
//   },
//   "finish": {
//     "name": "审核通过",
//     "value": "91000060"
//   },
//   "hasRefused": {
//     "name": "审核不通过",
//     "value": "91000061"
//   },


//   // "hasRefused": {
//   //   "name": "已驳回",
//   //   "value": "91000008"
//   // },
//   // "toBeComfirm": {
//   //   "name": "待确认",
//   //   "value": "91000033"
//   // },
//   // "comfirmedToBeSeal": {
//   //   "name": "已确认待盖章",
//   //   "value": "91000017"
//   // },
//   // "financeComfirmed": {
//   //   "name": "财务已确认",
//   //   "value": "91000034"
//   // },
//   // "comfirmed": {
//   //   "name": "已确认",
//   //   "value": "91000018"
//   // },
//   // "submited": {
//   //   "name": "已提交",
//   //   "value": "91000004"
//   // },
//   "passed": {
//     "name": "已通过",
//     "value": "91000013"
//   },
//   // "didNotPass": {
//   //   "name": "未通过",
//   //   "value": "91000012"
//   // },

// }

export const status2 = {

  "toBeSubmit": {
    "name": "待提交",
    "value": "90000000"
  },
  "toBeSubmitReject": {
    "name": "签章驳回",
    "value": "90000001"
  },
  "submitToBeSeal": {
    "name": "已提交待盖章",
    "value": "90100000"
  },
  "refused": {
    "name": "已驳回",
    "value": "90200000"
  },
  "reject": {
    "name": "签章驳回",
    "value": "90300001"
  },
  "toBeReview": {
    "name": "待审核",
    "value": "90300000"
  },
  "financeToBeSeal": {
    "name": "待盖章",
    "value": "90300100"
  },
  "financeToBeSealReject": {
    "name": "盖章驳回",
    "value": "90300101"
  },
  "reviewFinish": {
    "name": "待复核人审核",
    "value": "90300200"
  },
  "reviewReject": {
    "name": "复核人驳回",
    "value": "90300201"
  },
  "reviewed": {
    "name": "审核通过",
    "value": "90400000"
  },
  "reviewedToBeSeal": {
    "name": "盖章",
    "value": "90400100"
  },
  "zhjhshbh": {
    "name": "综合计划部审核人驳回",
    "value": "90400101"
  },
  "zhjhfzsh": {
    "name": "待综合计划部负责人审核",
    "value": "90400102"
  },
  "zhjhfzbh": {
    "name": "综合计划部负责人驳回",
    "value": "90400103"
  },
  "zhjhbmbh": {
    "name": "综合计划部盖章驳回",
    "value": "90400104"
  },
  "zhjhbmgz": {
    "name": "待综合计划部部门盖章",
    "value": "90400105"
  },
  "zhjhbzgjlsh": {
    "name": "待综合计划部主管经理审核",
    "value": "90400106"
  },
  "zhjhbzgjlbh": {
    "name": "综合计划部主管经理驳回",
    "value": "90400107"
  },
  "ccglshgz": {
    "name": "待仓储管理部审核人审核",
    "value": "90400108"
  },
  "ccglshbh": {
    "name": "仓储管理部审核人驳回",
    "value": "90400109"
  },
  "ccglfzsh": {
    "name": "待仓储管理部负责人审核",
    "value": "90400110"
  },
  "ccglfzbh": {
    "name": "仓储管理部负责人驳回",
    "value": "90400111"
  },
  "ccglbmbh": {
    "name": "仓储管理部盖章驳回",
    "value": "90400112"
  },
  "ccglbmgz": {
    "name": "待仓储管理部部门盖章",
    "value": "90400113"
  },
  "ccglbzgjlsh": {
    "name": "待仓储管理部主管经理审核",
    "value": "90400114"
  },
  "ccglbzgjlbh": {
    "name": "仓储管理部主管经理驳回",
    "value": "90400115"
  },
  "assigned": {
    "name": "已指定",
    "value": "90400500"
  },
  "notified": {
    "name": "已发通知",
    "value": "90400600"
  },
  "applyToBeSeal": {
    "name": "已申请待盖章",
    "value": "90400700"
  },
  "toBeRectify": {
    "name": "验收驳回",
    "value": "90400800"
  },
  "toBeAccept": {
    "name": "待验收",
    "value": "90400900"
  },
  "acceptToBeSeal": {
    "name": "已验收待盖章",
    "value": "90400901"
  },
  "acceptZhjhshbh": {
    "name": "综合计划部审核人验收驳回",
    "value": "90400902"
  },
  "acceptZhjhfzsh": {
    "name": "待综合计划部负责人验收审核",
    "value": "90400903"
  },
  "acceptZhjhfzbh": {
    "name": "综合计划部负责人验收驳回",
    "value": "90400904"
  },
  "acceptZhjhbmbh": {
    "name": "综合计划部部门验收驳回",
    "value": "90400905"
  },
  "acceptZhjhbmgz": {
    "name": "待综合计划部部门验收盖章",
    "value": "90400906"
  },
  "acceptZhjhbzgjlsh": {
    "name": "待综合计划部主管经理验收审核",
    "value": "90400907"
  },
  "acceptZhjhbzgjlbh": {
    "name": "综合计划部主管经理验收驳回",
    "value": "90400908"
  },
  "acceptCcglshgz": {
    "name": "待仓储管理部审核人验收审核",
    "value": "90400909"
  },
  "acceptCcglshbh": {
    "name": "仓储管理部审核人验收驳回",
    "value": "90400910"
  },
  "acceptCcglfzsh": {
    "name": "待仓储管理部负责人验收审核",
    "value": "90400911"
  },
  "acceptCcglfzbh": {
    "name": "仓储管理部负责人验收驳回",
    "value": "90400912"
  },
  "acceptCcglbmbh": {
    "name": "仓储管理部部门验收驳回",
    "value": "90400913"
  },
  "acceptCcglbmgz": {
    "name": "待仓储管理部部门验收盖章",
    "value": "90400914"
  },
  "acceptCcglbzgjlsh": {
    "name": "待仓储管理部主管经理验收审核",
    "value": "90400915"
  },
  "acceptCcglbzgjlbh": {
    "name": "待仓储管理部主管经理验收驳回",
    "value": "90400916"
  },
  "finish": {
    "name": "验收通过",
    "value": "90401000"
  },
  "hasRefused": {
    "name": "已驳回",
    "value": "91000008"
  },
  "toBeComfirm": {
    "name": "待确认",
    "value": "91000033"
  },
  "reviewerComfirmed": {
    "name": "待复核人确认",
    "value": "91000210"
  },
  "comfirmedToBeSeal": {
    "name": "已确认待盖章",
    "value": "91000017"
  },
  "financeComfirmed": {
    "name": "财务已确认",
    "value": "91000034"
  },
  "comfirmed": {
    "name": "已确认",
    "value": "91000018"
  },
  "submited": {
    "name": "已提交",
    "value": "91000004"
  },
  "passed": {
    "name": "已通过",
    "value": "91000013"
  },
  "didNotPass": {
    "name": "未通过",
    "value": "91000012"
  },
  "completed": {
    "name": "已完成",
    "value": "91000040"
  },
  "hasBeenIssued": {
    "name": "已下发",
    "value": "91000030"
  },
  "pending": {
    "name": "待下发",
    "value": "91000028"
  },
  "overdued": {
    "name": "已逾期",
    "value": "91000035"
  },
  "deferred": {
    "name": "已延期",
    "value": "91000036"
  },
  "earlyWarning": {
    "name": "预警期",
    "value": "91000037"
  },
  "noStart": {
    "name": "未开始",
    "value": "91000038"
  },
  "processing": {
    "name": "进行中",
    "value": "91000039"
  },
  "yitongzhi": {
    "name": "已通知",
    "value": "91000020"
  },
  "zhengheyitongguo": {
    "name": "已完成",
    "value": "91000013,90400500,90400600,90400700,90400900,90400901,90401000,90400800"
  },
  // "tobeReviewed": {
  //   "name": "待资料审核",
  //   "value": "90000001"
  // },
  "tobeIdea": {
    "name": "待意见审核",
    "value": "90000002"
  },
  "tobeywbbb": {
    "name": "业务部驳回",
    "value": "91000233"
  },
}
//审核通过==>待提交
export const status3 = {

  "toBeSubmit": {
    "name": "待提交",
    "value": "90000000"
  },
  "toBeSubmitReject": {
    "name": "签章驳回",
    "value": "90000001"
  },
  "submitToBeSeal": {
    "name": "已提交待盖章",
    "value": "90100000"
  },
  "refused": {
    "name": "已驳回",
    "value": "90200000"
  },
  "reject": {
    "name": "签章驳回",
    "value": "90300001"
  },
  "toBeReview": {
    "name": "待审核",
    "value": "90300000"
  },
  "financeToBeSeal": {
    "name": "待盖章",
    "value": "90300100"
  },
  "financeToBeSealReject": {
    "name": "盖章驳回",
    "value": "90300101"
  },
  "reviewFinish": {
    "name": "待复核人审核",
    "value": "90300200"
  },
  "reviewReject": {
    "name": "复核人驳回",
    "value": "90300201"
  },
  "reviewed": {
    "name": "待提交",
    "value": "90400000"
  },
  "reviewedToBeSeal": {
    "name": "盖章",
    "value": "90400100"
  },
  "zhjhshbh": {
    "name": "综合计划部审核人驳回",
    "value": "90400101"
  },
  "zhjhfzsh": {
    "name": "待综合计划部负责人审核",
    "value": "90400102"
  },
  "zhjhfzbh": {
    "name": "综合计划部负责人驳回",
    "value": "90400103"
  },
  "zhjhbmbh": {
    "name": "综合计划部盖章驳回",
    "value": "90400104"
  },
  "zhjhbmgz": {
    "name": "待综合计划部部门盖章",
    "value": "90400105"
  },
  "zhjhbzgjlsh": {
    "name": "待综合计划部主管经理审核",
    "value": "90400106"
  },
  "zhjhbzgjlbh": {
    "name": "综合计划部主管经理驳回",
    "value": "90400107"
  },
  "ccglshgz": {
    "name": "待仓储管理部审核人审核",
    "value": "90400108"
  },
  "ccglshbh": {
    "name": "仓储管理部审核人驳回",
    "value": "90400109"
  },
  "ccglfzsh": {
    "name": "待仓储管理部负责人审核",
    "value": "90400110"
  },
  "ccglfzbh": {
    "name": "仓储管理部负责人驳回",
    "value": "90400111"
  },
  "ccglbmbh": {
    "name": "仓储管理部盖章驳回",
    "value": "90400112"
  },
  "ccglbmgz": {
    "name": "待仓储管理部部门盖章",
    "value": "90400113"
  },
  "ccglbzgjlsh": {
    "name": "待仓储管理部主管经理审核",
    "value": "90400114"
  },
  "ccglbzgjlbh": {
    "name": "仓储管理部主管经理驳回",
    "value": "90400115"
  },
  "assigned": {
    "name": "已指定",
    "value": "90400500"
  },
  "notified": {
    "name": "已发通知",
    "value": "90400600"
  },
  "applyToBeSeal": {
    "name": "已申请待盖章",
    "value": "90400700"
  },
  "toBeRectify": {
    "name": "验收驳回",
    "value": "90400800"
  },
  "toBeAccept": {
    "name": "待验收",
    "value": "90400900"
  },
  "acceptToBeSeal": {
    "name": "已验收待盖章",
    "value": "90400901"
  },
  "acceptZhjhshbh": {
    "name": "综合计划部审核人验收驳回",
    "value": "90400902"
  },
  "acceptZhjhfzsh": {
    "name": "待综合计划部负责人验收审核",
    "value": "90400903"
  },
  "acceptZhjhfzbh": {
    "name": "综合计划部负责人验收驳回",
    "value": "90400904"
  },
  "acceptZhjhbmbh": {
    "name": "综合计划部部门验收驳回",
    "value": "90400905"
  },
  "acceptZhjhbmgz": {
    "name": "待综合计划部部门验收盖章",
    "value": "90400906"
  },
  "acceptZhjhbzgjlsh": {
    "name": "待综合计划部主管经理验收审核",
    "value": "90400907"
  },
  "acceptZhjhbzgjlbh": {
    "name": "综合计划部主管经理验收驳回",
    "value": "90400908"
  },
  "acceptCcglshgz": {
    "name": "待仓储管理部审核人验收审核",
    "value": "90400909"
  },
  "acceptCcglshbh": {
    "name": "仓储管理部审核人验收驳回",
    "value": "90400910"
  },
  "acceptCcglfzsh": {
    "name": "待仓储管理部负责人验收审核",
    "value": "90400911"
  },
  "acceptCcglfzbh": {
    "name": "仓储管理部负责人验收驳回",
    "value": "90400912"
  },
  "acceptCcglbmbh": {
    "name": "仓储管理部部门验收驳回",
    "value": "90400913"
  },
  "acceptCcglbmgz": {
    "name": "待仓储管理部部门验收盖章",
    "value": "90400914"
  },
  "acceptCcglbzgjlsh": {
    "name": "待仓储管理部主管经理验收审核",
    "value": "90400915"
  },
  "acceptCcglbzgjlbh": {
    "name": "待仓储管理部主管经理验收驳回",
    "value": "90400916"
  },
  "finish": {
    "name": "验收通过",
    "value": "90401000"
  },
  "hasRefused": {
    "name": "已驳回",
    "value": "91000008"
  },
  "toBeComfirm": {
    "name": "待确认",
    "value": "91000033"
  },
  "reviewerComfirmed": {
    "name": "待复核人确认",
    "value": "91000210"
  },
  "comfirmedToBeSeal": {
    "name": "已确认待盖章",
    "value": "91000017"
  },
  "financeComfirmed": {
    "name": "财务已确认",
    "value": "91000034"
  },
  "comfirmed": {
    "name": "已确认",
    "value": "91000018"
  },
  "submited": {
    "name": "已提交",
    "value": "91000004"
  },
  "passed": {
    "name": "已通过",
    "value": "91000013"
  },
  "didNotPass": {
    "name": "未通过",
    "value": "91000012"
  },
  "completed": {
    "name": "已完成",
    "value": "91000040"
  },
  "hasBeenIssued": {
    "name": "已下发",
    "value": "91000030"
  },
  "pending": {
    "name": "待下发",
    "value": "91000028"
  },
  "overdued": {
    "name": "已逾期",
    "value": "91000035"
  },
  "deferred": {
    "name": "已延期",
    "value": "91000036"
  },
  "earlyWarning": {
    "name": "预警期",
    "value": "91000037"
  },
  "noStart": {
    "name": "未开始",
    "value": "91000038"
  },
  "processing": {
    "name": "进行中",
    "value": "91000039"
  },
  "yitongzhi": {
    "name": "已通知",
    "value": "91000020"
  },
  "zhengheyitongguo": {
    "name": "已完成",
    "value": "91000013,90400500,90400600,90400700,90400900,90400901,90401000,90400800"
  },
  // "tobeReviewed": {
  //   "name": "待资料审核",
  //   "value": "90000001"
  // },
  "tobeIdea": {
    "name": "待意见审核",
    "value": "90000002"
  },
  "tobeywbbb": {
    "name": "业务部驳回",
    "value": "91000233"
  },
}
export const ccfsStatus = [
  {
    "dictCode": "1101",
    "dictName": "散装储粮",
  },
  {
    "dictCode": "1102",
    "dictName": "包装储粮",
  },
  {
    "dictCode": "1103",
    "dictName": "围包散存",
  },
  {
    "dictCode": "1104",
    "dictName": "其他",
  },
]
export function getStatusName(value) {
  let statusName = ""
  for (let key in status) {
    if (status[key].value == value) {
      statusName = status[key].name
    }
  }
  return statusName
}
export function getStatusName2(value) {
  let statusName = ""
  for (let key in status2) {
    if (status2[key].value == value) {
      statusName = status2[key].name
    }
  }
  return statusName
}
export function getStatusName3(value) {
  let statusName = ""
  for (let key in status3) {
    if (status3[key].value == value) {
      statusName = status3[key].name
    }
  }
  return statusName
}
export function getStatusList(list) {
  let statusList = []
  list.forEach(item => {
    for (let key in status) {
      if (key == item) {
        statusList.push(status[key])
      }
    }
  })
  return statusList
}
export function getStatusList2(list) {
  let statusList = []
  list.forEach(item => {
    for (let key in status2) {
      if (key == item) {
        statusList.push(status2[key])
      }
    }
  })
  return statusList
}
export function getStatusList3(list) {
  let statusList = []
  list.forEach(item => {
    for (let key in status3) {
      if (key == item) {
        statusList.push(status3[key])
      }
    }
  })
  return statusList
}

export function getCodeName(code, list, codeName, lableName) {
  let name = ''
  list.forEach(item => {
    if (item[codeName] == code) {
      name = item[lableName]
    }
  })
  return name
}
//树形品种处理
let str = ""
export function getTreeVal(data, val) {
  // 循环遍历json数据
  if (data.length > 0) {

    for (var i = 0; i < data.length; i++) {
      if (data[i].subDataDictionarys == null) {
        if (data[i].dictCode == val) {
          // console.log(data[i].dictName)
          str = data[i].dictName;

          // break;
          // return str;
          // throw str;
        }
      } else {
        // subDataDictionarys 递归调用 本方法
        getTreeVal(data[i].subDataDictionarys, val);

      }
    }
  } else {
    if (data.dictCode == val) {
      str = data.dictName;

      // throw str;
      // return str;
    }
  }
  // console.log(str)
  return str;
}


export function numFormat(num) {
  if (num) {
    var res = num.toString().replace(/\d+/, function (n) { // 先提取整数部分
      return n.replace(/(\d)(?=(\d{3})+$)/g, function ($1) {
        return $1 + ",";
      });
    })
    return res;
  }

}
