import request from '@/utils/request'
import { business } from '@/api/index'

//新增(保存)质检指标维护
export function insertEntitySelective(data) {
    return request({
        url: `${business}/quality/manager/standard/checkstandardInfo/insertEntitySelective`,
        method: 'post',
        data: data
    })
}
//质检指标维护列表
export function selectPageByEntity(data, page) {
    return request({
        url: `${business}/quality/manager/standard/checkstandardInfo/selectPageByEntity?pageNum=${page.page}&pageSize=${page.size}`,
        method: 'post',
        data: data
    })
}
//质检指标维护详情
export function selectById(data) {
    return request({
        url: `${business}/quality/manager/standard/checkstandardInfo/selectById`,
        method: 'post',
        data: data
    })
}
//修改(保存)质检指标维护
export function updateByEntitySelective(data) {
    return request({
        url: `${business}/quality/manager/standard/checkstandardInfo/updateByEntitySelective`,
        method: 'post',
        data: data
    })
}
//启用禁用
export function changeStatus(data) {
    return request({
        url: `${business}/quality/manager/standard/checkstandardInfo/updateStatusByEntity`,
        method: 'post',
        data: data
    })
}