import request from '@/utils/require'
import { business, kjjg, main, dict } from '@/api/index'

// 分页列表
export function selectPageByEntity(data) {
    return request({
        url: `${business}/apply/selectPageByEntity?pageNum=${data.pageNum}&pageSize=${data.pageSize}&pageType=${data.pageType}`,
        method: 'post',
        data: data
    })
}

//新增
export function insertEntitySelective(data) {
    return request({
        url: `${business}/apply/insertEntitySelective`,
        method: 'post',
        data: data
    })
}

//编辑
export function updateByEntitySelective(data) {
    return request({
        url: `${business}/apply/updateByEntitySelective`,
        method: 'put',
        data: data
    })
}


//查询仓号
export function listDataByParams(data) {
    return request({
        url: `${kjjg}/zhcx/listDataByParams`,
        method: 'post',
        data: data
    })
}

//查询协议
export function list_protocol_and_contract(wareHouseId) {
    return request({
        url: `${main}/client/planExecution/protocol/list_protocol_and_contract?wareHouseId=${wareHouseId}`,
        method: 'get',
    })
}

//字典
//字典查品种
export function getDataGroup(groupId) {
    return request({
        url: `${dict}/dataDictionary/getDataGroup?groupId=${groupId}`,
        method: 'get'
    })
}

//详情

export function selectById(id) {
    return request({
        url: `${business}/apply/selectById/${id}`,
        method: 'get'
    })
}


export function getPzOptions(data) {
    return request({
        url: `${dict}/dataDictionary/getDataGroup?groupId=PM001&pdictCode=22`,
        method: 'get',
    })
}