module.exports = {
    //项目：jyxm，编号id：jybzbh，检验规则符号：rule，检验结果：jyjg
    "xmzlzb": [
        {
            tr: [
                { cName: '水分%', colspan: 3 },
                { eName: 'sf', standItemId: '61', levelVO: { rule: "", judgeValue: "" } },
                { cName: '不完善粒', rowspan: 9 },
                { cName: '总量', colspan: 2 },
                { eName: 'bwslzl', standItemId: '45', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '容重（g/L）', colspan: 3 },
                { eName: 'rz', standItemId: '40', levelVO: { rule: "", judgeValue: "" } },
                { cName: '虫蚀粒%', colspan: 2 },
                { eName: 'csl', standItemId: '527', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '杂质', rowspan: 5 },
                { cName: '总量%', colspan: 2 },
                { eName: 'zzzl', standItemId: '59', levelVO: { rule: "", judgeValue: "" } },
                { cName: '病斑粒', rowspan: 4 },
                { cName: '总量' },
                { eName: 'bblzl', standItemId: '528', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '筛下物%', colspan: 2 },
                { eName: 'sxw', standItemId: '535', levelVO: { rule: "", judgeValue: "" } },
                // { cName: '矿物质%' },
                // { eName: 'kwz', standItemId: '60', levelVO: { rule: "", judgeValue: "" } },
                { cName: '黑胚粒%' },
                { eName: 'hpl', standItemId: '529', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '无机杂质%', rowspan: 2 },
                { cName: '其他无机杂质%' },
                { eName: 'wjzz', standItemId: '534', levelVO: { rule: "", judgeValue: "" } },
                { cName: '赤霉病粒%' },
                { eName: 'cmbl', standItemId: '530', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '矿物质%' },
                { eName: 'kwz', standItemId: '535', levelVO: { rule: "", judgeValue: "" } },

                { cName: '其它病粒%' },
                { eName: 'qtbl', standItemId: '531', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '有机杂质%', colspan: 2 },
                { eName: 'yjzz', standItemId: '535', levelVO: { rule: "", judgeValue: "" } },
                { cName: '破损粒%', colspan: 2 },
                { eName: 'psl', standItemId: '531', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '小麦硬度指数%', colspan: 3, rowspan: 2 },
                { eName: 'ydzs', rowspan: 2, standItemId: '535', levelVO: { rule: "", judgeValue: "" } },
                { cName: '生霉粒%', colspan: 2 },
                { eName: 'sml', standItemId: '531', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                // { colspan: 4 },
                // {cName: '色泽、气味', colspan: 2},
                // {eName: 'szqw', standItemId: '536', levelVO:{rule:"", judgeValue:""}},
                { cName: '生芽粒%', colspan: 2 },
                { eName: 'syl', standItemId: '532', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
    ],
    "xmccpzzb": [
        {
            tr: [
                { cName: '色泽、气味' },
                { eName: 'szqw', standItemId: '538', levelVO: { rule: "", judgeValue: "" } },
                { cName: '面筋吸水量' },
                { eName: 'mjxsl', standItemId: '62', levelVO: { rule: "", judgeValue: "" } }
            ]
        }, {
            tr: [
                { cName: '品尝评分值' },
                { eName: 'pcpfz', colspan: 3, standItemId: '64', levelVO: { rule: "", judgeValue: "" } },
            ]
        }
    ],
    "ymzlzb": [
        {
            tr: [
                { cName: '水分%', colspan: 2 },
                { eName: 'sf', standItemId: '111178', levelVO: { rule: "", judgeValue: "" } },
                { cName: '不完善粒%', rowspan: 8 },
                { cName: '总量', colspan: 2 },
                { eName: 'bwslzl', standItemId: '111172', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '容重（g/L）', colspan: 2 },
                { eName: 'rz', standItemId: '111167', levelVO: { rule: "", judgeValue: "" } },
                { cName: '虫蚀粒%', colspan: 2 },
                { eName: 'csl', standItemId: '1111549', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '杂质', rowspan: 3 },
                { cName: '总量%' },
                { eName: 'zzzl', standItemId: '111177', levelVO: { rule: "", judgeValue: "" } },
                { cName: '病斑粒', colspan: 2 },
                { eName: 'bbl', standItemId: '1111548', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '有机杂质%' },
                { eName: 'yjzz', standItemId: '1111540', levelVO: { rule: "", judgeValue: "" } },
                { cName: '破损粒%', colspan: 2 },
                { eName: 'psl', standItemId: '1111545', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '无机杂质%' },
                { eName: 'wjzz', standItemId: '1111541', levelVO: { rule: "", judgeValue: "" } },
                { cName: '生芽粒%', colspan: 2 },
                { eName: 'syl', standItemId: '1111546', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '霉变粒%', colspan: 2 },
                { eName: 'mbl', standItemId: '1111542', levelVO: { rule: "", judgeValue: "" } },
                { cName: '生霉粒%', colspan: 2 },
                { eName: 'sml', standItemId: '111176', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '筛下物', colspan: 2, rowspan: 2 },
                { eName: 'sxw', rowspan: 2, standItemId: '1111543', levelVO: { rule: "", judgeValue: "" } },
                { cName: '热损伤粒%', rowspan: 2 },
                { cName: '自然热损伤粒' },
                { eName: 'zrrssl', standItemId: '1111547', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '烘干热损伤粒' },
                { eName: 'hgrssl', standItemId: '1111544', levelVO: { rule: "", judgeValue: "" } }
            ]
        }
    ],
    "ymccpzzb": [
        {
            tr: [
                { cName: '色泽、气味' },
                { eName: 'szqw', standItemId: '11539', levelVO: { rule: "", judgeValue: "" } },
                { cName: '品尝评分值' },
                { eName: 'pcpfz', standItemId: '1181', levelVO: { rule: "", judgeValue: "" } }
            ]
        }, {
            tr: [
                { cName: '脂肪酸值（KOH/干基）/（mg/100g）' },
                { eName: 'zfsz', colspan: 3, standItemId: '1179', levelVO: { rule: "", judgeValue: "" } }
            ]
        }
    ],
    "ddzlzb": [
        {
            tr: [
                { cName: '水分%', colspan: 2 },
                { eName: 'sf', standItemId: '99', levelVO: { rule: "", judgeValue: "" } },
                { cName: '损伤粒率%', rowspan: 7 },
                { cName: '总量', colspan: 2 },
                { eName: 'sslzl', standItemId: '89', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '完整粒率%', colspan: 2 },
                { eName: 'wsll', standItemId: '84', levelVO: { rule: "", judgeValue: "" } },
                { cName: '热损伤粒%', colspan: 2 },
                { eName: 'rssl', standItemId: '94', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '未熟粒率%', colspan: 2 },
                { eName: 'wshull', standItemId: '800', levelVO: { rule: "", judgeValue: "" } },
                { cName: '虫蚀粒', colspan: 2 },
                { eName: 'csl', standItemId: '805', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '破碎率%', colspan: 2 },
                { eName: 'psl', standItemId: '801', levelVO: { rule: "", judgeValue: "" } },
                { cName: '病斑粒', colspan: 2 },
                { eName: 'bbl', standItemId: '806', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '杂质', rowspan: 3 },
                { cName: '总量%' },
                { eName: 'zzzl', standItemId: '98', levelVO: { rule: "", judgeValue: "" } },
                { cName: '生芽、涨大粒%', colspan: 2 },
                { eName: 'syZdl', standItemId: '807', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '有机杂质%' },
                { eName: 'yjzz', standItemId: '802', levelVO: { rule: "", judgeValue: "" } },
                { cName: '生霉粒%', colspan: 2 },
                { eName: 'sml', standItemId: '808', levelVO: { rule: "", judgeValue: "" } },
            ]
        },
        {
            tr: [
                { cName: '无机杂质%' },
                { eName: 'wjzz', standItemId: '803', levelVO: { rule: "", judgeValue: "" } },
                { cName: '冻伤粒%', colspan: 2 },
                { eName: 'dsl', standItemId: '809', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                // {cName: '色泽、气味', colspan: 2},
                // {eName: 'szqw', standItemId: '804', levelVO:{rule:"", judgeValue:""}},
                { cName: '粗脂肪含量（干基）%', colspan: 3 },
                { eName: 'czfhl', standItemId: '810', levelVO: { rule: "", judgeValue: "" } }
            ]
        }
    ],
    "ddccpzzb": [
        {
            tr: [
                { cName: '色泽、气味' },
                { eName: 'szqw', standItemId: '610', levelVO: { rule: "", judgeValue: "" } },
                { cName: '蛋白溶解比率%' },
                { eName: 'cDbzrj', standItemId: '102', levelVO: { rule: "", judgeValue: "" } }
            ]
        }, {
            tr: [
                { cName: '粗脂肪酸值（KOH/干基）/（mg/100g）', colspan: 2 },
                { eName: 'cCzfcz', colspan: 2, standItemId: '100', levelVO: { rule: "", judgeValue: "" } }
            ]
        }
    ],
    "dgzlzb": [
        {
            tr: [
                { cName: '水分%', colspan: 2 },
                { eName: 'sf', standItemId: '12', levelVO: { rule: "", judgeValue: "" } },
                { cName: '不完善粒', rowspan: 6 },
                { cName: '总量', colspan: 2 },
                { eName: 'bwsl', standItemId: '13', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '出糙率%', colspan: 2 },
                { eName: 'ccl', standItemId: '2', levelVO: { rule: "", judgeValue: "" } },
                { cName: '未熟粒', colspan: 2 },
                { eName: 'wsl', standItemId: '1562', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '整精米率%', colspan: 2 },
                { eName: 'zjml', standItemId: '7', levelVO: { rule: "", judgeValue: "" } },
                { cName: '虫蚀粒', colspan: 2 },
                { eName: 'csl', standItemId: '11562', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '杂质', rowspan: 3 },
                { cName: '总量%' },
                { eName: 'zzzl', standItemId: '11', levelVO: { rule: "", judgeValue: "" } },
                { cName: '病斑粒', colspan: 2 },
                { eName: 'bbl', standItemId: '563', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '有机杂质%' },
                { eName: 'yjzz', standItemId: '811', levelVO: { rule: "", judgeValue: "" } },
                { cName: '生芽粒%', colspan: 2 },
                { eName: 'syl', standItemId: '564', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '无机杂质%' },
                { eName: 'wjzz', standItemId: '562', levelVO: { rule: "", judgeValue: "" } },
                { cName: '生霉粒%', colspan: 2 },
                { eName: 'sml', standItemId: '607', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '筛下物%', colspan: 2 },
                { eName: 'sxw', standItemId: '14', levelVO: { rule: "", judgeValue: "" } },
                { cName: '出米率%', colspan: 3 },
                { eName: 'cml', standItemId: '526', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '谷外糙米%', colspan: 2 },
                { eName: 'gwcm', standItemId: '14', levelVO: { rule: "", judgeValue: "" } },
                { cName: '黄粒米%', colspan: 3 },
                { eName: 'hlm', standItemId: '526', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '互混率%', colspan: 2 },
                { eName: 'hhl', standItemId: '15', levelVO: { rule: "", judgeValue: "" } },
                // {cName: '色泽、气味', colspan: 3},
                // {eName: 'szqw', standItemId: '565', levelVO:{rule:"", judgeValue:""}}
            ]
        }
    ],
    "dgccpzzb": [
        {
            tr: [
                { cName: '色泽、气味' },
                { eName: 'szqw', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },
                { cName: '品尝评分值' },
                { eName: 'pcpfz', standItemId: '18', levelVO: { rule: "", judgeValue: "" } }
            ]
        }, {
            tr: [
                { cName: '脂肪酸值（KOH/干基）/（mg/100g）', colspan: 2 },
                { eName: 'zfsz', colspan: 2, standItemId: '16', levelVO: { rule: "", judgeValue: "" } }
            ]
        }
    ],
    "yyccpzzb": [
        {
            tr: [
                { cName: '气味、滋味', colspan: 2 },
                { eName: 'qwzw', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },
                { cName: '水分及挥发物含量%', colspan: 2 },
                { eName: 'sfjhfwhl', standItemId: '18', levelVO: { rule: "", judgeValue: "" } }
            ]
        }, {
            tr: [
                { cName: '不溶性杂质含量%', colspan: 2 },
                { eName: 'brxzzhl', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },
                { cName: '酸价（KOH）/(mg/g)', colspan: 2 },
                { eName: 'sj', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },

            ],

        }, {
            tr: [
                { cName: '过氧化值(mmol/kg)', colspan: 2 },
                { eName: 'gyhz', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },
                { cName: '溶剂残留量(mg/kg)', colspan: 2 },
                { eName: 'rjcll', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },

                // {cName: '脂肪酸值（KOH/干基）/（mg/100g）', colspan: 2},
                // {eName: 'ccpzZfsz', colspan: 2, standItemId: '16', levelVO:{rule:"", judgeValue:""}}
            ]
        }

    ],
    "xmfzlzb": [
        {
            tr: [
                { cName: '水分%', colspan: 2 },
                { eName: 'sf', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },
                { cName: '含沙量%', colspan: 2 },
                { eName: 'hsl', standItemId: '18', levelVO: { rule: "", judgeValue: "" } }
            ]
        }, {
            tr: [
                { cName: '加工精度', colspan: 2 },
                { eName: 'jgjd', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },
                { cName: '磁性金属物g/kg', colspan: 2 },
                { eName: 'cxjsw', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },

            ],
        }, {
            tr: [
                { cName: '灰分%(以干物计)', colspan: 2 },
                { eName: 'hf', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },
                { cName: '脂肪酸值(以湿基计)', colspan: 2 },
                { eName: 'zfsz', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },
            ],
        }, {
            tr: [
                { cName: '粗细度%', colspan: 2 },
                { eName: 'cxd', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },
                { cName: '气味、口味', colspan: 2 },
                { eName: 'qwzw', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },

            ],
        }, {
            tr: [
                { cName: '面筋质%(以湿重计)', colspan: 2 },
                { eName: 'gyhz', standItemId: '566', levelVO: { rule: "", judgeValue: "" } },
            ],
        }
    ],
    "dmzlzb": [
        {
            tr: [
                { cName: '水分%', colspan: 2 },
                { eName: 'sf', standItemId: '61', levelVO: { rule: "", judgeValue: "" } },
                { cName: '不完善粒', rowspan: 7 },
                { cName: '总量', colspan: 2 },
                { eName: 'bwslzl', standItemId: '45', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [

                { cName: '平均长度', colspan: 2 },
                { eName: 'pjcd', standItemId: '40', levelVO: { rule: "", judgeValue: "" } },
                { cName: '含量%', colspan: 2 },
                { eName: 'sfjhfwhl', standItemId: '527', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '完整米粒', colspan: 2 },
                { eName: 'wzml', standItemId: '59', levelVO: { rule: "", judgeValue: "" } },
                { cName: '未熟粒%', colspan: 2 },
                { eName: 'wsl', standItemId: '528', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '碎米%', rowspan: 3 },
                { cName: '总量', colspan: 2 },
                { eName: 'smzl', standItemId: '60', levelVO: { rule: "", judgeValue: "" } },
                { cName: '虫蚀粒%', colspan: 2 },
                { eName: 'csl', standItemId: '529', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '大碎米%' },
                { eName: 'smdsm', standItemId: '534', levelVO: { rule: "", judgeValue: "" } },
                { cName: '病斑粒%' },
                { eName: 'bbl', standItemId: '530', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '小碎米%' },
                { eName: 'smxsm', standItemId: '535', levelVO: { rule: "", judgeValue: "" } },
                { cName: '糙米粒%', colspan: 2 },
                { eName: 'qtbl', standItemId: '531', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '生霉粒%' },
                { eName: 'sml', standItemId: '535', levelVO: { rule: "", judgeValue: "" } },
                // { cName: '破损粒%', colspan: 2 },
                // { eName: 'psl', standItemId: '531', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '加工精度', rowspan: 2 },
                { cName: '精碾', colspan: 2 },
                { eName: 'jgjdjn', standItemId: '535', levelVO: { rule: "", judgeValue: "" } },
                { cName: '黄粒米%', colspan: 2 },
                { eName: 'hll', standItemId: '531', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
        {
            tr: [
                { cName: '适碾', colspan: 2 },
                { eName: 'jgjdsn', standItemId: '536', levelVO: { rule: "", judgeValue: "" } },
                { cName: '互混率%', colspan: 2 },
                { eName: 'hhl', standItemId: '532', levelVO: { rule: "", judgeValue: "" } }
            ]
        },
    ]
}