import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import './assets/css/style.css'
import './assets/css/style.scss'
import './assets/iconfont/iconfont.css'
import '@/permission'

//盖章添加开始
import './utils/G_websign.js'
import './utils/Loadwebsign.js'
import { WebSeal, GetSealData, GetWebObj, SetSealDataEx, SetSealData, ShowSeal } from '@/utils/websign_main.js'
import './utils/G_websign.css'
import './utils/jquery-2.2.0.min.js'
import './utils/jquery.jsonp.js'
//新签章
import { signature, preservSignature, signatureOnload } from '@/utils/H5Signature.js'
import './utils/layui.js'
//1.引入时间处理函数
import utils from './utils/index'
//2.将时间处理函数方法绑定到全局
Vue.prototype.$utils = utils
Vue.prototype.$WebSeal = WebSeal
Vue.prototype.$GetSealData = GetSealData
Vue.prototype.$GetWebObj = GetWebObj
Vue.prototype.$SetSealDataEx = SetSealDataEx
Vue.prototype.$SetSealData = SetSealData
Vue.prototype.$ShowSeal = ShowSeal
Vue.prototype.$utils = utils

//签章new
Vue.prototype.$signature = signature
Vue.prototype.$preservSignature = preservSignature
Vue.prototype.$signatureOnload = signatureOnload

Vue.config.productionTip = false
Vue.use(ElementUI)




new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')